ru.bitel.bgbilling.modules.npay.server.bean.event

## Class ContractNpayChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.npay.server.bean.event.ContractNpayChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractNpayChangedEvent
      extends QueueEvent

  Асинхронное событие - изменение абон платы в договоре.
  Событие генерируется после изменения/удаления услуги в объекте.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractNpayChangedEvent()` Конструктор события.
    `ContractNpayChangedEvent(int mid, int cid, int userId, int typeOperation, ServiceObject serviceObject)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceObject` | `getServiceObject()`
    `int` | `getTypeOperation()`
    `void` | `setServiceObject(ServiceObject serviceObject)`
    `void` | `setTypeOperation(int typeOperation)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractNpayChangedEvent

          public ContractNpayChangedEvent()

      Конструктор события.

    - #### ContractNpayChangedEvent

          public ContractNpayChangedEvent(int mid,
                                          int cid,
                                          int userId,
                                          int typeOperation,
                                          ServiceObject serviceObject)

      Конструктор события.
      Parameters:
        `mid` - - код договора
        `cid` - - код модуля
        `userId` - - id пользователя, сгенерировавшего событие

  - ### Method Detail

    - #### getServiceObject

          public ServiceObject getServiceObject()

    - #### setServiceObject

          public void setServiceObject(ServiceObject serviceObject)

    - #### getTypeOperation

          public int getTypeOperation()

    - #### setTypeOperation

          public void setTypeOperation(int typeOperation)